import 'dart:io';

import 'package:flutter/material.dart';
import 'package:dotup_flutter_widgets/dotup_flutter_widgets.dart';
import 'package:provider/provider.dart';

import 'SectionExamplePage.dart';

void main() {
  Platform.environment.forEach((key, value) {
    print('$key=$value');
  });

  runApp(MyProvider());
}

class MyProvider extends StatelessWidget {
  const MyProvider({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MultiProvider(
      providers: [
        ChangeNotifierProvider(
          create: (context) {
            final themeProvider = ThemeProvider.defaultThemes();
            return themeProvider;
          },
        )
      ],
      child: MyApp(),
    );
  }
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return Consumer<ThemeProvider>(
      builder: (context, themeProvider, child) {
        return MaterialApp(
          title: 'Flutter Demo',
          theme: themeProvider.lightTheme,
          darkTheme: themeProvider.darkTheme,
          themeMode: themeProvider.themeMode,
          home: SectionExamplePage(),
        );
      },
    );
  }
}
