import 'package:flutter/material.dart';

import 'ColorPicker.dart';

Future<Color?> showColorPickerPage(BuildContext context, Color? initialColor, String title) async {
  return Navigator.of(context).push(
    MaterialPageRoute(
      builder: (context) {
        return ColorPickerPage(
          title: title,
          initialColor: initialColor,
          // onColorChanged: onColorChanged,
        );
      },
    ),
  );
}

class ColorPickerPage extends StatelessWidget {
  // final ValueChanged<Color> onColorChanged;
  final Color? initialColor;
  final String title;
  // FocusNode? _focusNode;

  ColorPickerPage({
    Key? key,
    required this.title,
    required this.initialColor,
    // required this.onColorChanged,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    Color? currentColor = initialColor;
    return Scaffold(
      appBar: AppBar(
        backgroundColor: Colors.transparent,
        shadowColor: Colors.transparent,
        title: Text(title),
        elevation: Theme.of(context).platform == TargetPlatform.iOS ? 0.0 : 4.0,
        actions: [
          IconButton(
            onPressed: () {
              Navigator.of(context).pop(currentColor);
            },
            icon: Icon(Icons.done),
          ),
        ],
      ),
      body: SafeArea(
        child: ColorPicker(
          pickerColor: currentColor ?? Colors.white,
          onColorChanged: (newColor) => currentColor = newColor,
          enableLabel: true,
        ),
      ),
    );
  }
}
