import 'package:flutter/material.dart';

import 'ColorPalette.dart';

const colorsGrey = "GRAU";
const colorsBrown = "BRAUN";
const colorsDeepOrange = "DUNKLES ORANGE";
const colorsOrange = "ORANGE";
const colorsAmber = "BERNSTEINGELB";
const colorsYellow = "GELB";
const colorsLime = "GELBGRÜN";
const colorsLightGreen = "HELLGRÜN";
const colorsGreen = "GRÜN";
const colorsTeal = "BLAUGRÜN";
const colorsBlueGrey = "BLAUGRAU";
const colorsRed = "ROT";
const colorsPink = "PINK";
const colorsPurple = "LILA";
const colorsDeepPurple = "DUNKLES LILA";
const colorsIndigo = "INDIGO";
const colorsBlue = "BLAU";
const colorsLightBlue = "HELLBLAU";
const colorsCyan = "CYAN";
const colorsBlack = "SCHWARZ";
const colorsWhite = "WEIß";

class ColorTable {
  List<ColorPalette> get palettes => _palettes;
  static final _palettes = [
    ColorPalette(
      name: colorsRed,
      primary: Colors.red,
      accent: Colors.redAccent,
      threshold: 300,
    ),
    ColorPalette(
      name: colorsPink,
      primary: Colors.pink,
      accent: Colors.pinkAccent,
      threshold: 200,
    ),
    ColorPalette(
      name: colorsPurple,
      primary: Colors.purple,
      accent: Colors.purpleAccent,
      threshold: 200,
    ),
    ColorPalette(
      name: colorsDeepPurple,
      primary: Colors.deepPurple,
      accent: Colors.deepPurpleAccent,
      threshold: 200,
    ),
    ColorPalette(
      name: colorsIndigo,
      primary: Colors.indigo,
      accent: Colors.indigoAccent,
      threshold: 200,
    ),
    ColorPalette(
      name: colorsBlue,
      primary: Colors.blue,
      accent: Colors.blueAccent,
      threshold: 400,
    ),
    ColorPalette(
      name: colorsLightBlue,
      primary: Colors.lightBlue,
      accent: Colors.lightBlueAccent,
      threshold: 500,
    ),
    ColorPalette(
      name: colorsCyan,
      primary: Colors.cyan,
      accent: Colors.cyanAccent,
      threshold: 600,
    ),
    ColorPalette(
      name: colorsTeal,
      primary: Colors.teal,
      accent: Colors.tealAccent,
      threshold: 400,
    ),
    ColorPalette(
      name: colorsGreen,
      primary: Colors.green,
      accent: Colors.greenAccent,
      threshold: 500,
    ),
    ColorPalette(
      name: colorsLightGreen,
      primary: Colors.lightGreen,
      accent: Colors.lightGreenAccent,
      threshold: 600,
    ),
    ColorPalette(
      name: colorsLime,
      primary: Colors.lime,
      accent: Colors.limeAccent,
      threshold: 800,
    ),
    ColorPalette(
      name: colorsYellow,
      primary: Colors.yellow,
      accent: Colors.yellowAccent,
    ),
    ColorPalette(
      name: colorsAmber,
      primary: Colors.amber,
      accent: Colors.amberAccent,
    ),
    ColorPalette(
      name: colorsOrange,
      primary: Colors.orange,
      accent: Colors.orangeAccent,
      threshold: 700,
    ),
    ColorPalette(
      name: colorsDeepOrange,
      primary: Colors.deepOrange,
      accent: Colors.deepOrangeAccent,
      threshold: 400,
    ),
    ColorPalette(
      name: colorsBrown,
      primary: Colors.brown,
      threshold: 200,
    ),
    ColorPalette(
      name: colorsGrey,
      primary: Colors.grey,
      threshold: 500,
    ),
    ColorPalette(
      name: colorsBlueGrey,
      primary: Colors.blueGrey,
      threshold: 500,
    ),
    ColorPalette(
      name: colorsBlack,
      primary: Colors.black,
      singleColor: true,
    ),
    ColorPalette(
      name: colorsWhite,
      primary: Colors.white,
      singleColor: true,
    ),
  ];
}
