import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';


class SectionView extends StatelessWidget {
  late final EdgeInsetsGeometry padding;
  final List<Widget> children;
  final CrossAxisAlignment crossAxisAlignment;

  SectionView({
    Key? key,
    EdgeInsets? padding,
    required this.children,
    this.crossAxisAlignment = CrossAxisAlignment.start,
  }) : super(key: key) {
    this.padding = padding ?? EdgeInsets.zero;
  }

  @override
  build(BuildContext context) {
    return SingleChildScrollView(
      padding: const EdgeInsets.all(0.0),
      child: Column(
        children: children,
      ),
    );
  }
}
