import 'package:dotup_flutter_widgets/types/types.dart';
import 'package:flutter/foundation.dart';

// enum TestEnum { A, B, C }

class EnumUtils {
// void test() {
//   final a = getEnumFromName<TestEnum>(TestEnum.values, 'A');
//   final b = getEnumFromValue(TestEnum.values, 1);
// }

  static List<KeyValue<int>> getEnumKeyValue(List<dynamic> enumType, {bool removeFirst = false}) {
    final items = enumType.map((dynamic e) {
      return KeyValue<int>(describeEnum(e), e.shade);
    }).toList();
    if (removeFirst) {
      items.removeAt(0);
    }
    return items;
  }

  static T getEnumFromName<T>(Iterable<T> values, String name) {
    return values.where((value) => describeEnum(value as Object) == name).first;
  }

  static T getEnumFromValue<T extends dynamic>(List<T> enumValues, int index) {
    return enumValues.where((value) {
      return value.shade == index;
    }).first;
  }
}
